Christine_Chavez_6412

Java error starting Analytics on Premise (ANOP) - java.lang.UnsupportedClassVersionError:

Discussion created by Christine_Chavez_6412 on Apr 7, 2017

If Analytics won't start via ServiceManager/ServiceManager dialog, try and run it manually via command line to see what exactly is the error it's throwing (if it's not in the \temp\{log file}:

Example:
C:\AE12\Analytics\backend>java -jar analytics-backend.jar
Exception in thread "main" java.lang.UnsupportedClassVersionError: com/automic/a
nalytics/backend/BackendServer : Unsupported major.minor version 52.0
        at java.lang.ClassLoader.defineClass1(Native Method)
        at java.lang.ClassLoader.defineClass(ClassLoader.java:800)
        at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:142)
        at java.net.URLClassLoader.defineClass(URLClassLoader.java:449)
        at java.net.URLClassLoader.access$100(URLClassLoader.java:71)
        at java.net.URLClassLoader$1.run(URLClassLoader.java:361)
        at java.net.URLClassLoader$1.run(URLClassLoader.java:355)
        at java.security.AccessController.doPrivileged(Native Method)
        at java.net.URLClassLoader.findClass(URLClassLoader.java:354)

Cause:

Analytics on Premise 
requires Java 1.8 to run.

See Compatibility Checker: 
https://docs.automic.com/tools/compatibility_chec ker?compatibility-mode=component&offering_version_id=components&lifecycle_entity_id=1423152101134

Solution:
Use Java 1.8


 

Outcomes